--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

package body Nomo.Reader.Gen_Scopes is

   function Get_External_Scopes return External_Scopes is
      Data : External_Scopes;
   begin
      External_Scopes'Read (Reader.Get_Binary_Stream (Scope_External), Data);
      return Data;
   end Get_External_Scopes;

   function Get_Internal_Scopes return Internal_Scopes is
      Data : Internal_Scopes;
   begin
      Internal_Scopes'Read (Reader.Get_Binary_Stream (Scope_Internal), Data);
      return Data;
   end Get_Internal_Scopes;

end Nomo.Reader.Gen_Scopes;
